Use larger sizes in this test, seems to trigger the deadlock more easily
[xfstests-dev.git] / remake
1 #! /bin/sh
2 #
3 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
4
5 # This program is free software; you can redistribute it and/or modify it
6 # under the terms of version 2 of the GNU General Public License as
7 # published by the Free Software Foundation.
8
9 # This program is distributed in the hope that it would be useful, but
10 # WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
12
13 # Further, this software is distributed without any warranty that it is
14 # free of the rightful claim of any third person regarding infringement
15 # or the like.  Any license provided herein, whether implied or
16 # otherwise, applies only to this software file.  Patent licenses, if
17 # any, provided herein do not apply to combinations of this program with
18 # other software, or any other product whatsoever.
19
20 # You should have received a copy of the GNU General Public License along
21 # with this program; if not, write the Free Software Foundation, Inc., 59
22 # Temple Place - Suite 330, Boston MA 02111-1307, USA.
23
24 # Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
25 # Mountain View, CA  94043, or:
26
27 # http://www.sgi.com 
28
29 # For further information regarding this notice, see: 
30
31 # http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
32 #
33 #
34 # Rebuild NNN.out files
35 #
36 # $Header: /build2/depot/linux/pcp/dev/qa/RCS/remake,v 2.11 1999/09/20 03:42:19 kenmcd Exp $
37 #
38
39 tmp=/tmp/$$
40 trap "rm -f NO-PREVIOUS-OUTPUT $tmp.*; exit" 0 1 2 3 15
41
42 # generic initialization
43 iam=remake
44 . ./common.rc
45
46 . ./common
47
48 [ -f check.time ] || touch check.time
49
50 for seq in $list
51 do
52     if [ ! -f $seq ]
53     then
54         echo "Remake: cannot find \"$seq\""
55     else
56         echo -n "$seq"
57         lasttime=`sed -n -e "/^$seq /s/.* //p" <check.time`
58         [ "X$lasttime" != X ] && echo -n " ${lasttime}s"
59         rm -f $seq.bak $seq.full.bak
60         if sh $seq >$seq.new 2>&1
61         then
62             if [ -f $seq.out ]
63             then
64                 $diff $seq.out $seq.new
65                 rm -f $seq.out.bad
66             else
67                 touch NO-PREVIOUS-OUTPUT
68                 $diff NO-PREVIOUS-OUTPUT $seq.new
69                 rm -f NO-PREVIOUS-OUTPUT
70             fi
71             echo ""
72             [ -f $seq.out ] && mv $seq.out $seq.bak
73             if [ -f $seq.full ]
74             then
75                 [ -f $seq.full.ok ] && mv $seq.full.ok $seq.full.bak
76                 mv $seq.full $seq.full.ok
77             fi
78             mv $seq.new $seq.out
79         else
80             echo " - failed (exit status $?)"
81             sed 's/^/   /' $seq.new
82             exit 1
83         fi
84     fi
85 done
86
87 exit 0